'''
    PLOT

    Assume f(x, y) is a function that returns True/False for integers
    x and y.  Make a function plot(width, height, f) that makes
    an ASCII plot of all x values in range(width) and y values in
    range(height).  If f(x, y) is True, a '*' should be printed, whereas
    a '.' should be printed if f(x, y) is False.  The lower left corner
    corresponds to (x, y) = (0, 0).

    Input:  A Python expression calling plot (possibly using functions
            from the math module), where 1 <= width <= 100 and
            1 <= height <= 100.

    Output: The output generated by evaluating the input, consisting
            of height rows containing width characters all '*' and '.'.

    Example:

      Input:  plot(20, 10, lambda x, y: y <= min(x - 2, 16 - x))

      Output: ....................
              ....................
              .........*..........
              ........***.........
              .......*****........
              ......*******.......
              .....*********......
              ....***********.....
              ...*************....
              ..***************...

    Note: The below already reads and evaluates the input.
'''


import math


def plot(width, height, f):
    # insert code
    pass
#> solution
    assert 1 <= width <= 100 and 1 <= height <= 100
    for y in range(height - 1, -1, -1):
        print(''.join('*' if f(x, y) else '.' for x in range(0, width)))
#< solution


eval(input())
