'''
    PATH

    Create a class Path to store a path in the plane defined by a
    sequence of points (x0, y0), (x1, y1), ..., (xn, yn).
    The length of the path is the sum of the length of the n line segments,
    where the i'th segment is between the i-1'th and i'th point.

    Path() should create an empty path. A path should support the methods
      * add(x, y) adds a new point to the end of the path.
      * undo() removes the last point from the path.
      * distance() returns the length of the path as a float.
    Coordinates can be integers and floats.

    Input:  One or more lines of Python code using the class Path,
            terminated by a line containing #eof.

    Output: The output generated by evaluating the input code.

    Example:

      Input:  path = Path()
              path.add(10, 10)
              path.add(14, 13)
              dist = path.distance()
              print(f'{dist:.3f}')
              #eof

      Output: 5.000

      Note: The above path only consists of the line segment between
            (10, 10) and (14, 13) of length sqrt(4 ** 2 + 3 ** 2) = 5.

    Note: The below code already reads and evaluates the input.
'''


class Path:
    # insert code
    pass
#> solution
    def __init__(self):
        self.path = []

    def add(self, x, y):
        self.path.append((x, y))

    def undo(self):
        self.path.pop()

    def distance(self):
        return sum(((x0 - x1) ** 2 + (y0 - y1) ** 2) ** 0.5
                   for (x0, y0), (x1, y1) in zip(self.path, self.path[1:]))
#< solution


import sys
code = ''
for line in sys.stdin:
    code += line
    if line.startswith('#eof'):
        break
#> validate last line
assert line.startswith('#eof')
#< validate
exec(code)
