'''
    CONVERGE

    Write a decorator converge. When a function f(x) is decorated
    with converge, the function f is applied repeatedly to its
    result until the result does not change, i.e.
    
       x, f(x), f(f(x)), f(f(f(x))),  f(f(f(f(x)))) ...

    are computed until two consecutive results are equal, and this
    result is returned. 

    Input:  One or more lines of Python code using the decorator
            converge, terminated by a line containing #eof.
            It is guaranteed that all the test cases converge and
            that the function decorated takes exactly one argument.

    Output: The output generated by evaluating the input code.

    Example:

      Input:  @converge
              def decrement(x):
                return x - 1 if x > 10 else x

              for x in range(8, 13):
                  print(x, decrement(x))

              #eof

      Output: 8 8
              9 9
              10 10
              11 10
              12 10

    Note: The below code already reads and evaluates the input.
'''


def converge(f):
    # insert code
    pass
#> solution
    def wrapper(x):
        fx = f(x)
        while fx != x:
            x = fx
            fx = f(x)
        return fx

    return wrapper
#< solution


import sys
code = ''
for line in sys.stdin:
    code += line
    if line.startswith('#eof'):
        break
#> validate last line
assert line.startswith('#eof')
#< validate
exec(code)
