'''
    CONTRACT

    Create a generator function contract(seq) that takes a iterable
    sequence seq (finite or infinite) and generates the same sequence
    of values, except that for each block of consecutive occurrences
    of the same value, only the first is reported.

    Input:  One or more lines of Python code using the generator
            contract, terminated by a line containing #eof.

    Output: The output generated by evaluating the input code.

    Example:

      Input:  print(list(contract([0, 0, 1, 1, 1, 2, 0, 0, 3, 3, 3])))
              #eof

      Output: [0, 1, 2, 0, 3]

    Note: The below code already reads and evaluates the input.
'''


def contract(seq):
    # insert code
    pass
#> solution
    for i, value in enumerate(seq):
        if i == 0 or value != last:
            yield value
        last = value
#< solution


import sys
code = ''
for line in sys.stdin:
    code += line
    if line.startswith('#eof'):
        break
#> validate last line
assert line.startswith('#eof')
#< validate
exec(code)
